## org.hibernate.metamodel.binding
Enum CollectionLaziness

    java.lang.Object
      java.lang.Enum<CollectionLaziness>
          org.hibernate.metamodel.binding.CollectionLaziness

All Implemented Interfaces:
  Serializable, Comparable<CollectionLaziness>

    public enum CollectionLaziness

extends Enum<CollectionLaziness>

Enum Constant Summary
`EXTRA`
`LAZY`
`NOT`

Method Summary
`static CollectionLaziness` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionLaziness[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LAZY

    public static final CollectionLaziness LAZY

### NOT

    public static final CollectionLaziness NOT

### EXTRA

    public static final CollectionLaziness EXTRA

Method Detail

### values

    public static CollectionLaziness[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CollectionLaziness c : CollectionLaziness.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CollectionLaziness valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.